using System;

internal sealed class Delegate488 : MulticastDelegate
{
	public extern string Invoke();

	public static string smethod_0(Delegate488 delegate488_1)
	{
		return delegate488_1();
	}

	public extern Delegate488(object object_0, IntPtr intptr_0);

	static Delegate488()
	{
		Class10.smethod_13(typeof(Delegate488).TypeHandle);
	}

	internal static Delegate488 delegate488_0;
}
